<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{F3AFE773-6A5A-4952-BEDA-A97CD94D636E}</ProjectGuid>
    <RootNamespace>XNetSDKTest</RootNamespace>
    <Keyword>Win32Proj</Keyword>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>16.0.29511.113</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <OutDir>Release\</OutDir>
    <IntDir>Temp\$(ProjectName)\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Midl>
      <TargetEnvironment>X64</TargetEnvironment>
    </Midl>
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <AdditionalIncludeDirectories>./Include;./Include/Json_Header;./;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <PrecompiledHeader />
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Link>
      <AdditionalDependencies>XJSON.lib;XNetSDK.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <AdditionalLibraryDirectories>.\Lib\Windows_X64;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Console</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <TargetMachine>MachineX64</TargetMachine>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="Config\ConfigDataCentre.cpp" />
    <ClCompile Include="Config\TestCameraConfig.cpp" />
    <ClCompile Include="Config\TestDefaultConfig.cpp" />
    <ClCompile Include="Config\TestDevSystemConfig.cpp" />
    <ClCompile Include="Config\TestEncodeConfig.cpp" />
    <ClCompile Include="Config\TestModifyPassword.cpp" />
    <ClCompile Include="Config\TestRebot.cpp" />
    <ClCompile Include="TestDASServer.cpp" />
    <ClCompile Include="TestDevAlarmCallback.cpp" />
    <ClCompile Include="TestDevConfig.cpp" />
    <ClCompile Include="TestDevFileFind.cpp" />
    <ClCompile Include="TestDevPTZ.cpp" />
    <ClCompile Include="TestDevSearch.cpp" />
    <ClCompile Include="TestDevSnap.cpp" />
    <ClCompile Include="TestDevTalk.cpp" />
    <ClCompile Include="TestDownload.cpp" />
    <ClCompile Include="TestDownloadFileByName.cpp" />
    <ClCompile Include="TestFuns.cpp" />
    <ClCompile Include="TestMediaFaceImage.cpp" />
    <ClCompile Include="TestMediaRealPlay.cpp" />
    <ClCompile Include="TestMediaRecordPlay.cpp" />
    <ClCompile Include="TestOpenTransChannel.cpp" />
    <ClCompile Include="TestOPLogQuery.cpp" />
    <ClCompile Include="TestOSDInfo.cpp" />
    <ClCompile Include="TestPTZPreset.cpp" />
    <ClCompile Include="TestSerialWrite.cpp" />
    <ClCompile Include="TestUpgrade.cpp" />
    <ClCompile Include="TestVideoCfg.cpp" />
    <ClCompile Include="XNetSDKTest.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Include\XNetSDK.h" />
    <ClInclude Include="Include\XNetSDKDefine.h" />
    <ClInclude Include="Include\XNetSDKSyn.h" />
  </ItemGroup>
  <ItemGroup>
    <Text Include="ReadMe.txt" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>